/*===========================================================================*/
/*   (Eval/expdquote.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/expdquote.scm -indent -o objs/obj_u/Eval/expdquote.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expander_quotez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_templatez00zz__expander_quotez00(obj_t, obj_t);
extern obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__expander_quotez00();
extern obj_t string_to_symbol(char *);
static obj_t BGl__quasiquotationz00zz__expander_quotez00(obj_t, obj_t, obj_t);
static obj_t BGl__expandzd2quotezd2zz__expander_quotez00(obj_t, obj_t, obj_t);
static obj_t BGl_templatezd2orzd2splicez00zz__expander_quotez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__expander_quotez00();
static obj_t BGl_requirezd2initializa7ationz75zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2138z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2137z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2134z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_list2125z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2133z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2132z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2131z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_list2130z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2129z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2126z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_list2135z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2124z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_list2136z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_symbol2123z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_list2139z00zz__expander_quotez00 = BUNSPEC;
static obj_t BGl_vectorzd2templatezd2zz__expander_quotez00(obj_t, obj_t);
static obj_t BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_quasiquotationz00zz__expander_quotez00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl_listzd2templatezd2zz__expander_quotez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2quotezd2zz__expander_quotez00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_quasiquotationzd2envzd2zz__expander_quotez00, BgL_bgl__quasiquotationza700za7za7__expander_quoteza7002147z00, BGl__quasiquotationz00zz__expander_quotez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2quotezd2envz00zz__expander_quotez00, BgL_bgl__expandza7d2quoteza7d2za7za7__expander_quoteza7002148za7, BGl__expandzd2quotezd2zz__expander_quotez00, 0L, 2 );
DEFINE_STRING( BGl_string2141z00zz__expander_quotez00, BgL_bgl_string2141za700za7za7__expander_quoteza7002149z00, "Illegal `unquote-splicing' form", 31 );
DEFINE_STRING( BGl_string2140z00zz__expander_quotez00, BgL_bgl_string2140za700za7za7__expander_quoteza7002150z00, "unquote-splicing", 16 );
DEFINE_STRING( BGl_string2128z00zz__expander_quotez00, BgL_bgl_string2128za700za7za7__expander_quoteza7002151z00, "Illegal `unquote' form", 22 );
DEFINE_STRING( BGl_string2127z00zz__expander_quotez00, BgL_bgl_string2127za700za7za7__expander_quoteza7002152z00, "unquote", 7 );
DEFINE_STRING( BGl_string2122z00zz__expander_quotez00, BgL_bgl_string2122za700za7za7__expander_quoteza7002153z00, "illegal `quasiquote' form", 25 );
DEFINE_STRING( BGl_string2121z00zz__expander_quotez00, BgL_bgl_string2121za700za7za7__expander_quoteza7002154z00, "quasiquotation", 14 );
DEFINE_STRING( BGl_string2120z00zz__expander_quotez00, BgL_bgl_string2120za700za7za7__expander_quoteza7002155z00, "Illegal `quote' form", 20 );
DEFINE_STRING( BGl_string2119z00zz__expander_quotez00, BgL_bgl_string2119za700za7za7__expander_quoteza7002156z00, "quote", 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expander_quotez00(long BgL_checksumz00_857, char * BgL_fromz00_858)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__expander_quotez00))
{ 
BGl_requirezd2initializa7ationz75zz__expander_quotez00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__expander_quotez00(); 
BGl_importedzd2moduleszd2initz00zz__expander_quotez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__expander_quotez00()
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 14 */
BGl_symbol2123z00zz__expander_quotez00 = 
string_to_symbol("unquote"); 
BGl_symbol2124z00zz__expander_quotez00 = 
string_to_symbol("list"); 
BGl_symbol2126z00zz__expander_quotez00 = 
string_to_symbol("quote"); 
{ /* ./Eval/expdquote.scm 90 */
obj_t BgL_auxz00_867;
BgL_auxz00_867 = 
MAKE_PAIR(BGl_symbol2123z00zz__expander_quotez00, BNIL); 
BGl_list2125z00zz__expander_quotez00 = 
MAKE_PAIR(BGl_symbol2126z00zz__expander_quotez00, BgL_auxz00_867); } 
BGl_symbol2129z00zz__expander_quotez00 = 
string_to_symbol("quasiquote"); 
{ /* ./Eval/expdquote.scm 114 */
obj_t BgL_auxz00_871;
BgL_auxz00_871 = 
MAKE_PAIR(BGl_symbol2129z00zz__expander_quotez00, BNIL); 
BGl_list2130z00zz__expander_quotez00 = 
MAKE_PAIR(BGl_symbol2126z00zz__expander_quotez00, BgL_auxz00_871); } 
BGl_symbol2131z00zz__expander_quotez00 = 
string_to_symbol("cons*"); 
BGl_symbol2132z00zz__expander_quotez00 = 
string_to_symbol("list->vector"); 
BGl_symbol2133z00zz__expander_quotez00 = 
string_to_symbol("let"); 
BGl_symbol2134z00zz__expander_quotez00 = 
string_to_symbol("vector-tag-set!"); 
{ /* ./Eval/expdquote.scm 141 */
obj_t BgL_auxz00_878;
BgL_auxz00_878 = 
MAKE_PAIR(BNIL, BNIL); 
BGl_list2136z00zz__expander_quotez00 = 
MAKE_PAIR(BGl_symbol2126z00zz__expander_quotez00, BgL_auxz00_878); } 
BGl_list2135z00zz__expander_quotez00 = 
MAKE_PAIR(BGl_list2136z00zz__expander_quotez00, BNIL); 
BGl_symbol2137z00zz__expander_quotez00 = 
string_to_symbol("unquote-splicing"); 
BGl_symbol2138z00zz__expander_quotez00 = 
string_to_symbol("eappend"); 
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_auxz00_884;
BgL_auxz00_884 = 
MAKE_PAIR(BGl_symbol2137z00zz__expander_quotez00, BNIL); 
return ( 
BGl_list2139z00zz__expander_quotez00 = 
MAKE_PAIR(BGl_symbol2126z00zz__expander_quotez00, BgL_auxz00_884), BUNSPEC) ;} } 
}



/* expand-quote */
BGL_EXPORTED_DEF obj_t BGl_expandzd2quotezd2zz__expander_quotez00(obj_t BgL_xz00_1, obj_t BgL_ez00_2)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 47 */
if(
PAIRP(BgL_xz00_1))
{ /* ./Eval/expdquote.scm 48 */
obj_t BgL_cdrzd2107zd2_373;
BgL_cdrzd2107zd2_373 = 
CDR(BgL_xz00_1); 
if(
PAIRP(BgL_cdrzd2107zd2_373))
{ /* ./Eval/expdquote.scm 48 */
bool_t BgL_testz00_892;
{ /* ./Eval/expdquote.scm 48 */
obj_t BgL_auxz00_893;
BgL_auxz00_893 = 
CDR(BgL_cdrzd2107zd2_373); 
BgL_testz00_892 = 
NULLP(BgL_auxz00_893); } 
if(BgL_testz00_892)
{ /* ./Eval/expdquote.scm 48 */
return BgL_xz00_1;}  else 
{ /* ./Eval/expdquote.scm 48 */
FAILURE(BGl_string2119z00zz__expander_quotez00,BGl_string2120z00zz__expander_quotez00,BgL_xz00_1);} }  else 
{ /* ./Eval/expdquote.scm 48 */
FAILURE(BGl_string2119z00zz__expander_quotez00,BGl_string2120z00zz__expander_quotez00,BgL_xz00_1);} }  else 
{ /* ./Eval/expdquote.scm 48 */
FAILURE(BGl_string2119z00zz__expander_quotez00,BGl_string2120z00zz__expander_quotez00,BgL_xz00_1);} } 
}



/* _expand-quote */
obj_t BGl__expandzd2quotezd2zz__expander_quotez00(obj_t BgL_envz00_851, obj_t BgL_xz00_852, obj_t BgL_ez00_853)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 47 */
return 
BGl_expandzd2quotezd2zz__expander_quotez00(BgL_xz00_852, BgL_ez00_853);} 
}



/* quasiquotation */
BGL_EXPORTED_DEF obj_t BGl_quasiquotationz00zz__expander_quotez00(obj_t BgL_dz00_3, obj_t BgL_expz00_4)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 75 */
{ /* ./Eval/expdquote.scm 76 */
bool_t BgL_test1033z00_384;
if(
PAIRP(BgL_expz00_4))
{ /* ./Eval/expdquote.scm 76 */
bool_t BgL_testz00_902;
{ /* ./Eval/expdquote.scm 76 */
obj_t BgL_auxz00_903;
BgL_auxz00_903 = 
CDR(BgL_expz00_4); 
BgL_testz00_902 = 
PAIRP(BgL_auxz00_903); } 
if(BgL_testz00_902)
{ /* ./Eval/expdquote.scm 76 */
obj_t BgL_auxz00_906;
{ /* ./Eval/expdquote.scm 76 */
obj_t BgL_auxz00_907;
BgL_auxz00_907 = 
CDR(BgL_expz00_4); 
BgL_auxz00_906 = 
CDR(BgL_auxz00_907); } 
BgL_test1033z00_384 = 
NULLP(BgL_auxz00_906); }  else 
{ /* ./Eval/expdquote.scm 76 */
BgL_test1033z00_384 = ((bool_t)0); } }  else 
{ /* ./Eval/expdquote.scm 76 */
BgL_test1033z00_384 = ((bool_t)0); } 
if(BgL_test1033z00_384)
{ /* ./Eval/expdquote.scm 77 */
obj_t BgL_auxz00_912;
{ /* ./Eval/expdquote.scm 77 */
obj_t BgL_auxz00_913;
BgL_auxz00_913 = 
CDR(BgL_expz00_4); 
BgL_auxz00_912 = 
CAR(BgL_auxz00_913); } 
return 
BGl_templatez00zz__expander_quotez00(BgL_dz00_3, BgL_auxz00_912);}  else 
{ /* ./Eval/expdquote.scm 76 */
FAILURE(BGl_string2121z00zz__expander_quotez00,BGl_string2122z00zz__expander_quotez00,BgL_expz00_4);} } } 
}



/* _quasiquotation */
obj_t BGl__quasiquotationz00zz__expander_quotez00(obj_t BgL_envz00_854, obj_t BgL_dz00_855, obj_t BgL_expz00_856)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 75 */
return 
BGl_quasiquotationz00zz__expander_quotez00(BgL_dz00_855, BgL_expz00_856);} 
}



/* template */
obj_t BGl_templatez00zz__expander_quotez00(obj_t BgL_dz00_5, obj_t BgL_expz00_6)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 83 */
BGl_templatez00zz__expander_quotez00:
{ /* ./Eval/expdquote.scm 84 */
bool_t BgL_testz00_919;
{ /* ./Eval/expdquote.scm 84 */
long BgL_auxz00_920;
BgL_auxz00_920 = 
(long)CINT(BgL_dz00_5); 
BgL_testz00_919 = 
(BgL_auxz00_920==((long)0)); } 
if(BgL_testz00_919)
{ /* ./Eval/expdquote.scm 84 */
return BgL_expz00_6;}  else 
{ /* ./Eval/expdquote.scm 86 */
bool_t BgL_test1051z00_391;
if(
PAIRP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 86 */
obj_t BgL_auxz00_925;
BgL_auxz00_925 = 
CAR(BgL_expz00_6); 
BgL_test1051z00_391 = 
(BgL_auxz00_925==BGl_symbol2123z00zz__expander_quotez00); }  else 
{ /* ./Eval/expdquote.scm 86 */
BgL_test1051z00_391 = ((bool_t)0); } 
if(BgL_test1051z00_391)
{ /* ./Eval/expdquote.scm 86 */
{ /* ./Eval/expdquote.scm 87 */
bool_t BgL_test1052z00_392;
{ /* ./Eval/expdquote.scm 87 */
bool_t BgL_testz00_929;
{ /* ./Eval/expdquote.scm 87 */
obj_t BgL_auxz00_930;
BgL_auxz00_930 = 
CDR(BgL_expz00_6); 
BgL_testz00_929 = 
PAIRP(BgL_auxz00_930); } 
if(BgL_testz00_929)
{ /* ./Eval/expdquote.scm 87 */
obj_t BgL_auxz00_933;
{ /* ./Eval/expdquote.scm 87 */
obj_t BgL_auxz00_934;
BgL_auxz00_934 = 
CDR(BgL_expz00_6); 
BgL_auxz00_933 = 
CDR(BgL_auxz00_934); } 
BgL_test1052z00_392 = 
NULLP(BgL_auxz00_933); }  else 
{ /* ./Eval/expdquote.scm 87 */
BgL_test1052z00_392 = ((bool_t)0); } } 
if(BgL_test1052z00_392)
{ /* ./Eval/expdquote.scm 88 */
bool_t BgL_testz00_939;
{ /* ./Eval/expdquote.scm 88 */
obj_t BgL_auxz00_940;
BgL_auxz00_940 = 
BINT(((long)1)); 
BgL_testz00_939 = 
(BgL_dz00_5==BgL_auxz00_940); } 
if(BgL_testz00_939)
{ /* ./Eval/expdquote.scm 89 */
long BgL_arg1055z00_394;obj_t BgL_arg1058z00_395;
{ /* ./Eval/expdquote.scm 89 */
long BgL_auxz00_943;
BgL_auxz00_943 = 
(long)CINT(BgL_dz00_5); 
BgL_arg1055z00_394 = 
(BgL_auxz00_943-((long)1)); } 
{ /* ./Eval/expdquote.scm 89 */
obj_t BgL_auxz00_946;
BgL_auxz00_946 = 
CDR(BgL_expz00_6); 
BgL_arg1058z00_395 = 
CAR(BgL_auxz00_946); } 
{ 
obj_t BgL_expz00_951;obj_t BgL_dz00_949;
BgL_dz00_949 = 
BINT(BgL_arg1055z00_394); 
BgL_expz00_951 = BgL_arg1058z00_395; 
BgL_expz00_6 = BgL_expz00_951; 
BgL_dz00_5 = BgL_dz00_949; 
goto BGl_templatez00zz__expander_quotez00;} }  else 
{ /* ./Eval/expdquote.scm 90 */
obj_t BgL_arg1064z00_396;obj_t BgL_arg1065z00_397;obj_t BgL_arg1066z00_398;
BgL_arg1064z00_396 = BGl_symbol2124z00zz__expander_quotez00; 
BgL_arg1065z00_397 = BGl_list2125z00zz__expander_quotez00; 
{ /* ./Eval/expdquote.scm 90 */
long BgL_arg1080z00_402;obj_t BgL_arg1081z00_403;
{ /* ./Eval/expdquote.scm 90 */
long BgL_auxz00_952;
BgL_auxz00_952 = 
(long)CINT(BgL_dz00_5); 
BgL_arg1080z00_402 = 
(BgL_auxz00_952-((long)1)); } 
{ /* ./Eval/expdquote.scm 90 */
obj_t BgL_auxz00_955;
BgL_auxz00_955 = 
CDR(BgL_expz00_6); 
BgL_arg1081z00_403 = 
CAR(BgL_auxz00_955); } 
BgL_arg1066z00_398 = 
BGl_templatez00zz__expander_quotez00(
BINT(BgL_arg1080z00_402), BgL_arg1081z00_403); } 
{ /* ./Eval/expdquote.scm 90 */
obj_t BgL_list1068z00_399;
{ /* ./Eval/expdquote.scm 90 */
obj_t BgL_arg1073z00_400;
{ /* ./Eval/expdquote.scm 90 */
obj_t BgL_arg1076z00_401;
BgL_arg1076z00_401 = 
MAKE_PAIR(BgL_arg1066z00_398, BNIL); 
BgL_arg1073z00_400 = 
MAKE_PAIR(BgL_arg1065z00_397, BgL_arg1076z00_401); } 
BgL_list1068z00_399 = 
MAKE_PAIR(BgL_arg1064z00_396, BgL_arg1073z00_400); } 
return BgL_list1068z00_399;} } }  else 
{ /* ./Eval/expdquote.scm 87 */
FAILURE(BGl_string2127z00zz__expander_quotez00,BGl_string2128z00zz__expander_quotez00,BgL_expz00_6);} } }  else 
{ /* ./Eval/expdquote.scm 86 */
if(
VECTORP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 92 */
return 
BGl_vectorzd2templatezd2zz__expander_quotez00(BgL_dz00_5, BgL_expz00_6);}  else 
{ /* ./Eval/expdquote.scm 92 */
if(
PAIRP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 94 */
return 
BGl_listzd2templatezd2zz__expander_quotez00(BgL_dz00_5, BgL_expz00_6);}  else 
{ /* ./Eval/expdquote.scm 94 */
if(
NULLP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 96 */
{ /* ./Eval/expdquote.scm 97 */
obj_t BgL_list1102z00_410;
{ /* ./Eval/expdquote.scm 97 */
obj_t BgL_arg1104z00_411;obj_t BgL_arg1105z00_412;
BgL_arg1104z00_411 = BGl_symbol2126z00zz__expander_quotez00; 
BgL_arg1105z00_412 = 
MAKE_PAIR(BgL_expz00_6, BNIL); 
BgL_list1102z00_410 = 
MAKE_PAIR(BgL_arg1104z00_411, BgL_arg1105z00_412); } 
return BgL_list1102z00_410;} }  else 
{ /* ./Eval/expdquote.scm 98 */
bool_t BgL_test1108z00_413;
if(
CHARP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 98 */
BgL_test1108z00_413 = ((bool_t)1); }  else 
{ /* ./Eval/expdquote.scm 98 */
if(
INTEGERP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 98 */
BgL_test1108z00_413 = ((bool_t)1); }  else 
{ /* ./Eval/expdquote.scm 98 */
if(
STRINGP(BgL_expz00_6))
{ /* ./Eval/expdquote.scm 98 */
BgL_test1108z00_413 = ((bool_t)1); }  else 
{ /* ./Eval/expdquote.scm 98 */
BgL_test1108z00_413 = 
CNSTP(BgL_expz00_6); } } } 
if(BgL_test1108z00_413)
{ /* ./Eval/expdquote.scm 98 */
return BgL_expz00_6;}  else 
{ /* ./Eval/expdquote.scm 98 */
{ /* ./Eval/expdquote.scm 101 */
obj_t BgL_list1110z00_414;
{ /* ./Eval/expdquote.scm 101 */
obj_t BgL_arg1112z00_415;obj_t BgL_arg1113z00_416;
BgL_arg1112z00_415 = BGl_symbol2126z00zz__expander_quotez00; 
BgL_arg1113z00_416 = 
MAKE_PAIR(BgL_expz00_6, BNIL); 
BgL_list1110z00_414 = 
MAKE_PAIR(BgL_arg1112z00_415, BgL_arg1113z00_416); } 
return BgL_list1110z00_414;} } } } } } } } } 
}



/* list-template */
obj_t BGl_listzd2templatezd2zz__expander_quotez00(obj_t BgL_dz00_7, obj_t BgL_expz00_8)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 106 */
{ /* ./Eval/expdquote.scm 107 */
bool_t BgL_test1135z00_423;
{ /* ./Eval/expdquote.scm 107 */
bool_t BgL_testz00_984;
if(
PAIRP(BgL_expz00_8))
{ /* ./Eval/expdquote.scm 107 */
bool_t BgL_testz00_987;
{ /* ./Eval/expdquote.scm 107 */
obj_t BgL_auxz00_988;
BgL_auxz00_988 = 
CDR(BgL_expz00_8); 
BgL_testz00_987 = 
PAIRP(BgL_auxz00_988); } 
if(BgL_testz00_987)
{ /* ./Eval/expdquote.scm 107 */
obj_t BgL_auxz00_991;
{ /* ./Eval/expdquote.scm 107 */
obj_t BgL_auxz00_992;
BgL_auxz00_992 = 
CDR(BgL_expz00_8); 
BgL_auxz00_991 = 
CDR(BgL_auxz00_992); } 
BgL_testz00_984 = 
NULLP(BgL_auxz00_991); }  else 
{ /* ./Eval/expdquote.scm 107 */
BgL_testz00_984 = ((bool_t)0)
; } }  else 
{ /* ./Eval/expdquote.scm 107 */
BgL_testz00_984 = ((bool_t)0)
; } 
if(BgL_testz00_984)
{ /* ./Eval/expdquote.scm 108 */
bool_t BgL_testz00_996;
{ /* ./Eval/expdquote.scm 108 */
obj_t BgL_auxz00_997;
BgL_auxz00_997 = 
CAR(BgL_expz00_8); 
BgL_testz00_996 = 
(BgL_auxz00_997==BGl_symbol2126z00zz__expander_quotez00); } 
if(BgL_testz00_996)
{ /* ./Eval/expdquote.scm 108 */
bool_t BgL_testz00_1000;
{ /* ./Eval/expdquote.scm 108 */
obj_t BgL_auxz00_1001;
{ /* ./Eval/expdquote.scm 108 */
obj_t BgL_auxz00_1002;
BgL_auxz00_1002 = 
CDR(BgL_expz00_8); 
BgL_auxz00_1001 = 
CAR(BgL_auxz00_1002); } 
BgL_testz00_1000 = 
PAIRP(BgL_auxz00_1001); } 
if(BgL_testz00_1000)
{ /* ./Eval/expdquote.scm 109 */
obj_t BgL_auxz00_1006;
{ /* ./Eval/expdquote.scm 109 */
obj_t BgL_auxz00_1007;
{ /* ./Eval/expdquote.scm 109 */
obj_t BgL_auxz00_1008;
BgL_auxz00_1008 = 
CDR(BgL_expz00_8); 
BgL_auxz00_1007 = 
CAR(BgL_auxz00_1008); } 
BgL_auxz00_1006 = 
CAR(BgL_auxz00_1007); } 
BgL_test1135z00_423 = 
(BgL_auxz00_1006==BGl_symbol2129z00zz__expander_quotez00); }  else 
{ /* ./Eval/expdquote.scm 108 */
BgL_test1135z00_423 = ((bool_t)0); } }  else 
{ /* ./Eval/expdquote.scm 108 */
BgL_test1135z00_423 = ((bool_t)0); } }  else 
{ /* ./Eval/expdquote.scm 107 */
BgL_test1135z00_423 = ((bool_t)0); } } 
if(BgL_test1135z00_423)
{ /* ./Eval/expdquote.scm 107 */
{ /* ./Eval/expdquote.scm 110 */
obj_t BgL_auxz00_1014;
{ /* ./Eval/expdquote.scm 110 */
obj_t BgL_auxz00_1015;
BgL_auxz00_1015 = 
CDR(BgL_expz00_8); 
BgL_auxz00_1014 = 
CAR(BgL_auxz00_1015); } 
return 
BGl_quasiquotationz00zz__expander_quotez00(BgL_dz00_7, BgL_auxz00_1014);} }  else 
{ /* ./Eval/expdquote.scm 111 */
bool_t BgL_testz00_1019;
{ /* ./Eval/expdquote.scm 111 */
obj_t BgL_auxz00_1020;
BgL_auxz00_1020 = 
CAR(BgL_expz00_8); 
BgL_testz00_1019 = 
(BgL_auxz00_1020==BGl_symbol2129z00zz__expander_quotez00); } 
if(BgL_testz00_1019)
{ /* ./Eval/expdquote.scm 111 */
{ /* ./Eval/expdquote.scm 112 */
bool_t BgL_testz00_1023;
{ /* ./Eval/expdquote.scm 112 */
obj_t BgL_auxz00_1024;
BgL_auxz00_1024 = 
BINT(((long)0)); 
BgL_testz00_1023 = 
(BgL_dz00_7==BgL_auxz00_1024); } 
if(BgL_testz00_1023)
{ /* ./Eval/expdquote.scm 112 */
return 
BGl_quasiquotationz00zz__expander_quotez00(
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_dz00_7, 
BINT(((long)1))), BgL_expz00_8);}  else 
{ /* ./Eval/expdquote.scm 114 */
obj_t BgL_arg1148z00_428;obj_t BgL_arg1149z00_429;obj_t BgL_arg1150z00_430;
BgL_arg1148z00_428 = BGl_symbol2124z00zz__expander_quotez00; 
BgL_arg1149z00_429 = BGl_list2130z00zz__expander_quotez00; 
BgL_arg1150z00_430 = 
BGl_quasiquotationz00zz__expander_quotez00(
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_dz00_7, 
BINT(((long)1))), BgL_expz00_8); 
{ /* ./Eval/expdquote.scm 114 */
obj_t BgL_list1152z00_431;
{ /* ./Eval/expdquote.scm 114 */
obj_t BgL_arg1154z00_432;
{ /* ./Eval/expdquote.scm 114 */
obj_t BgL_arg1158z00_433;
BgL_arg1158z00_433 = 
MAKE_PAIR(BgL_arg1150z00_430, BNIL); 
BgL_arg1154z00_432 = 
MAKE_PAIR(BgL_arg1149z00_429, BgL_arg1158z00_433); } 
BgL_list1152z00_431 = 
MAKE_PAIR(BgL_arg1148z00_428, BgL_arg1154z00_432); } 
return BgL_list1152z00_431;} } } }  else 
{ /* ./Eval/expdquote.scm 111 */
{ /* ./Eval/expdquote.scm 116 */
bool_t BgL_test1166z00_435;
BgL_test1166z00_435 = 
EXTENDED_PAIRP(BgL_expz00_8); 
if(BgL_test1166z00_435)
{ /* ./Eval/expdquote.scm 117 */
obj_t BgL_erz00_436;
BgL_erz00_436 = 
CER(BgL_expz00_8); 
{ /* ./Eval/expdquote.scm 118 */
obj_t BgL_arg1169z00_437;obj_t BgL_arg1171z00_438;
BgL_arg1169z00_437 = BGl_symbol2131z00zz__expander_quotez00; 
BgL_arg1171z00_438 = 
BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(BgL_dz00_7, BgL_expz00_8); 
{ /* ./Eval/expdquote.scm 118 */
obj_t BgL_res2081z00_783;
BgL_res2081z00_783 = 
MAKE_EXTENDED_PAIR(BgL_arg1169z00_437, BgL_arg1171z00_438, BgL_erz00_436); 
return BgL_res2081z00_783;} } }  else 
{ /* ./Eval/expdquote.scm 119 */
obj_t BgL_auxz00_1041;
BgL_auxz00_1041 = 
BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(BgL_dz00_7, BgL_expz00_8); 
return 
MAKE_PAIR(BGl_symbol2131z00zz__expander_quotez00, BgL_auxz00_1041);} } } } } } 
}



/* vector-template */
obj_t BGl_vectorzd2templatezd2zz__expander_quotez00(obj_t BgL_dz00_9, obj_t BgL_expz00_10)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 124 */
{ /* ./Eval/expdquote.scm 125 */
int BgL_tagzd2valzd2_456;obj_t BgL_reszd2valzd2_457;
BgL_tagzd2valzd2_456 = 
VECTOR_TAG(BgL_expz00_10); 
{ /* ./Eval/expdquote.scm 126 */
obj_t BgL_arg1254z00_472;obj_t BgL_arg1255z00_473;
BgL_arg1254z00_472 = BGl_symbol2132z00zz__expander_quotez00; 
{ /* ./Eval/expdquote.scm 127 */
obj_t BgL_auxz00_1045;
BgL_auxz00_1045 = 
BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(BgL_dz00_9, 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_expz00_10)); 
BgL_arg1255z00_473 = 
MAKE_PAIR(BGl_symbol2131z00zz__expander_quotez00, BgL_auxz00_1045); } 
{ /* ./Eval/expdquote.scm 126 */
obj_t BgL_list1257z00_474;
{ /* ./Eval/expdquote.scm 126 */
obj_t BgL_arg1259z00_475;
BgL_arg1259z00_475 = 
MAKE_PAIR(BgL_arg1255z00_473, BNIL); 
BgL_list1257z00_474 = 
MAKE_PAIR(BgL_arg1254z00_472, BgL_arg1259z00_475); } 
BgL_reszd2valzd2_457 = BgL_list1257z00_474; } } 
{ /* ./Eval/expdquote.scm 130 */
bool_t BgL_testz00_1051;
{ /* ./Eval/expdquote.scm 130 */
long BgL_auxz00_1052;
BgL_auxz00_1052 = 
(long)(BgL_tagzd2valzd2_456); 
BgL_testz00_1051 = 
(BgL_auxz00_1052==((long)0)); } 
if(BgL_testz00_1051)
{ /* ./Eval/expdquote.scm 130 */
return BgL_reszd2valzd2_457;}  else 
{ /* ./Eval/expdquote.scm 132 */
obj_t BgL_reszd2varzd2_459;
BgL_reszd2varzd2_459 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ /* ./Eval/expdquote.scm 133 */
obj_t BgL_arg1220z00_460;obj_t BgL_arg1221z00_461;
BgL_arg1220z00_460 = BGl_symbol2133z00zz__expander_quotez00; 
{ /* ./Eval/expdquote.scm 133 */
obj_t BgL_arg1224z00_462;obj_t BgL_arg1225z00_463;
{ /* ./Eval/expdquote.scm 133 */
obj_t BgL_arg1228z00_464;
{ /* ./Eval/expdquote.scm 133 */
obj_t BgL_arg1233z00_466;
BgL_arg1233z00_466 = 
MAKE_PAIR(BgL_reszd2valzd2_457, BNIL); 
BgL_arg1228z00_464 = 
MAKE_PAIR(BgL_reszd2varzd2_459, BgL_arg1233z00_466); } 
BgL_arg1224z00_462 = 
MAKE_PAIR(BgL_arg1228z00_464, BNIL); } 
{ /* ./Eval/expdquote.scm 134 */
obj_t BgL_arg1237z00_467;obj_t BgL_arg1238z00_468;
{ /* ./Eval/expdquote.scm 134 */
obj_t BgL_arg1241z00_469;obj_t BgL_arg1243z00_470;
BgL_arg1241z00_469 = BGl_symbol2134z00zz__expander_quotez00; 
{ /* ./Eval/expdquote.scm 134 */
obj_t BgL_arg1246z00_471;
{ /* ./Eval/expdquote.scm 134 */
obj_t BgL_auxz00_1060;
BgL_auxz00_1060 = 
BINT(BgL_tagzd2valzd2_456); 
BgL_arg1246z00_471 = 
MAKE_PAIR(BgL_auxz00_1060, BNIL); } 
BgL_arg1243z00_470 = 
MAKE_PAIR(BgL_reszd2varzd2_459, BgL_arg1246z00_471); } 
BgL_arg1237z00_467 = 
MAKE_PAIR(BgL_arg1241z00_469, BgL_arg1243z00_470); } 
BgL_arg1238z00_468 = 
MAKE_PAIR(BgL_reszd2varzd2_459, BNIL); 
BgL_arg1225z00_463 = 
MAKE_PAIR(BgL_arg1237z00_467, BgL_arg1238z00_468); } 
BgL_arg1221z00_461 = 
MAKE_PAIR(BgL_arg1224z00_462, BgL_arg1225z00_463); } 
return 
MAKE_PAIR(BgL_arg1220z00_460, BgL_arg1221z00_461);} } } } } 
}



/* template-or-splice-list */
obj_t BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(obj_t BgL_dz00_11, obj_t BgL_expz00_12)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 140 */
if(
NULLP(BgL_expz00_12))
{ /* ./Eval/expdquote.scm 141 */
return BGl_list2135z00zz__expander_quotez00;}  else 
{ /* ./Eval/expdquote.scm 141 */
if(
PAIRP(BgL_expz00_12))
{ /* ./Eval/expdquote.scm 142 */
{ /* ./Eval/expdquote.scm 143 */
bool_t BgL_testz00_1073;
{ /* ./Eval/expdquote.scm 143 */
obj_t BgL_auxz00_1074;
BgL_auxz00_1074 = 
CAR(BgL_expz00_12); 
BgL_testz00_1073 = 
(BgL_auxz00_1074==BGl_symbol2123z00zz__expander_quotez00); } 
if(BgL_testz00_1073)
{ /* ./Eval/expdquote.scm 143 */
{ /* ./Eval/expdquote.scm 144 */
obj_t BgL_arg1276z00_482;
BgL_arg1276z00_482 = 
BGl_templatez00zz__expander_quotez00(BgL_dz00_11, BgL_expz00_12); 
{ /* ./Eval/expdquote.scm 144 */
obj_t BgL_list1278z00_483;
BgL_list1278z00_483 = 
MAKE_PAIR(BgL_arg1276z00_482, BNIL); 
return BgL_list1278z00_483;} } }  else 
{ /* ./Eval/expdquote.scm 145 */
bool_t BgL_test1281z00_484;
{ /* ./Eval/expdquote.scm 145 */
bool_t BgL_testz00_1079;
{ /* ./Eval/expdquote.scm 145 */
obj_t BgL_auxz00_1080;
BgL_auxz00_1080 = 
CAR(BgL_expz00_12); 
BgL_testz00_1079 = 
PAIRP(BgL_auxz00_1080); } 
if(BgL_testz00_1079)
{ /* ./Eval/expdquote.scm 145 */
obj_t BgL_auxz00_1083;
{ /* ./Eval/expdquote.scm 145 */
obj_t BgL_auxz00_1084;
BgL_auxz00_1084 = 
CAR(BgL_expz00_12); 
BgL_auxz00_1083 = 
CAR(BgL_auxz00_1084); } 
BgL_test1281z00_484 = 
(BgL_auxz00_1083==BGl_symbol2137z00zz__expander_quotez00); }  else 
{ /* ./Eval/expdquote.scm 145 */
BgL_test1281z00_484 = ((bool_t)0); } } 
if(BgL_test1281z00_484)
{ /* ./Eval/expdquote.scm 145 */
{ /* ./Eval/expdquote.scm 147 */
obj_t BgL_arg1283z00_485;
{ /* ./Eval/expdquote.scm 147 */
obj_t BgL_arg1288z00_487;obj_t BgL_arg1289z00_488;obj_t BgL_arg1290z00_489;
BgL_arg1288z00_487 = BGl_symbol2138z00zz__expander_quotez00; 
BgL_arg1289z00_488 = 
BGl_templatezd2orzd2splicez00zz__expander_quotez00(BgL_dz00_11, 
CAR(BgL_expz00_12)); 
{ /* ./Eval/expdquote.scm 149 */
obj_t BgL_auxz00_1091;
BgL_auxz00_1091 = 
BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(BgL_dz00_11, 
CDR(BgL_expz00_12)); 
BgL_arg1290z00_489 = 
MAKE_PAIR(BGl_symbol2131z00zz__expander_quotez00, BgL_auxz00_1091); } 
{ /* ./Eval/expdquote.scm 147 */
obj_t BgL_list1292z00_490;
{ /* ./Eval/expdquote.scm 147 */
obj_t BgL_arg1294z00_491;
{ /* ./Eval/expdquote.scm 147 */
obj_t BgL_arg1297z00_492;
BgL_arg1297z00_492 = 
MAKE_PAIR(BgL_arg1290z00_489, BNIL); 
BgL_arg1294z00_491 = 
MAKE_PAIR(BgL_arg1289z00_488, BgL_arg1297z00_492); } 
BgL_list1292z00_490 = 
MAKE_PAIR(BgL_arg1288z00_487, BgL_arg1294z00_491); } 
BgL_arg1283z00_485 = BgL_list1292z00_490; } } 
{ /* ./Eval/expdquote.scm 147 */
obj_t BgL_list1285z00_486;
BgL_list1285z00_486 = 
MAKE_PAIR(BgL_arg1283z00_485, BNIL); 
return BgL_list1285z00_486;} } }  else 
{ /* ./Eval/expdquote.scm 145 */
{ /* ./Eval/expdquote.scm 151 */
obj_t BgL_auxz00_1102;obj_t BgL_auxz00_1099;
BgL_auxz00_1102 = 
BGl_templatezd2orzd2splicezd2listzd2zz__expander_quotez00(BgL_dz00_11, 
CDR(BgL_expz00_12)); 
BgL_auxz00_1099 = 
BGl_templatezd2orzd2splicez00zz__expander_quotez00(BgL_dz00_11, 
CAR(BgL_expz00_12)); 
return 
MAKE_PAIR(BgL_auxz00_1099, BgL_auxz00_1102);} } } } }  else 
{ /* ./Eval/expdquote.scm 142 */
{ /* ./Eval/expdquote.scm 153 */
obj_t BgL_arg1344z00_508;
BgL_arg1344z00_508 = 
BGl_templatezd2orzd2splicez00zz__expander_quotez00(BgL_dz00_11, BgL_expz00_12); 
{ /* ./Eval/expdquote.scm 153 */
obj_t BgL_list1346z00_509;
BgL_list1346z00_509 = 
MAKE_PAIR(BgL_arg1344z00_508, BNIL); 
return BgL_list1346z00_509;} } } } } 
}



/* template-or-splice */
obj_t BGl_templatezd2orzd2splicez00zz__expander_quotez00(obj_t BgL_dz00_13, obj_t BgL_expz00_14)
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 158 */
{ /* ./Eval/expdquote.scm 159 */
bool_t BgL_test1351z00_510;
if(
PAIRP(BgL_expz00_14))
{ /* ./Eval/expdquote.scm 159 */
obj_t BgL_auxz00_1110;
BgL_auxz00_1110 = 
CAR(BgL_expz00_14); 
BgL_test1351z00_510 = 
(BgL_auxz00_1110==BGl_symbol2137z00zz__expander_quotez00); }  else 
{ /* ./Eval/expdquote.scm 159 */
BgL_test1351z00_510 = ((bool_t)0); } 
if(BgL_test1351z00_510)
{ /* ./Eval/expdquote.scm 160 */
bool_t BgL_test1352z00_511;
if(
PAIRP(BgL_expz00_14))
{ /* ./Eval/expdquote.scm 160 */
bool_t BgL_testz00_1116;
{ /* ./Eval/expdquote.scm 160 */
obj_t BgL_auxz00_1117;
BgL_auxz00_1117 = 
CDR(BgL_expz00_14); 
BgL_testz00_1116 = 
PAIRP(BgL_auxz00_1117); } 
if(BgL_testz00_1116)
{ /* ./Eval/expdquote.scm 160 */
obj_t BgL_auxz00_1120;
{ /* ./Eval/expdquote.scm 160 */
obj_t BgL_auxz00_1121;
BgL_auxz00_1121 = 
CDR(BgL_expz00_14); 
BgL_auxz00_1120 = 
CDR(BgL_auxz00_1121); } 
BgL_test1352z00_511 = 
NULLP(BgL_auxz00_1120); }  else 
{ /* ./Eval/expdquote.scm 160 */
BgL_test1352z00_511 = ((bool_t)0); } }  else 
{ /* ./Eval/expdquote.scm 160 */
BgL_test1352z00_511 = ((bool_t)0); } 
if(BgL_test1352z00_511)
{ /* ./Eval/expdquote.scm 161 */
bool_t BgL_testz00_1126;
{ /* ./Eval/expdquote.scm 161 */
obj_t BgL_auxz00_1127;
BgL_auxz00_1127 = 
BINT(((long)1)); 
BgL_testz00_1126 = 
(BgL_dz00_13==BgL_auxz00_1127); } 
if(BgL_testz00_1126)
{ /* ./Eval/expdquote.scm 162 */
long BgL_arg1355z00_513;obj_t BgL_arg1356z00_514;
{ /* ./Eval/expdquote.scm 162 */
long BgL_auxz00_1130;
BgL_auxz00_1130 = 
(long)CINT(BgL_dz00_13); 
BgL_arg1355z00_513 = 
(BgL_auxz00_1130-((long)1)); } 
{ /* ./Eval/expdquote.scm 162 */
obj_t BgL_auxz00_1133;
BgL_auxz00_1133 = 
CDR(BgL_expz00_14); 
BgL_arg1356z00_514 = 
CAR(BgL_auxz00_1133); } 
return 
BGl_templatez00zz__expander_quotez00(
BINT(BgL_arg1355z00_513), BgL_arg1356z00_514);}  else 
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_arg1361z00_515;obj_t BgL_arg1362z00_516;
BgL_arg1361z00_515 = BGl_symbol2124z00zz__expander_quotez00; 
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_arg1370z00_519;obj_t BgL_arg1371z00_520;obj_t BgL_arg1372z00_521;
BgL_arg1370z00_519 = BGl_symbol2124z00zz__expander_quotez00; 
BgL_arg1371z00_520 = BGl_list2139z00zz__expander_quotez00; 
{ /* ./Eval/expdquote.scm 164 */
long BgL_arg1384z00_525;obj_t BgL_arg1385z00_526;
{ /* ./Eval/expdquote.scm 164 */
long BgL_auxz00_1138;
BgL_auxz00_1138 = 
(long)CINT(BgL_dz00_13); 
BgL_arg1384z00_525 = 
(BgL_auxz00_1138-((long)1)); } 
{ /* ./Eval/expdquote.scm 164 */
obj_t BgL_auxz00_1141;
BgL_auxz00_1141 = 
CDR(BgL_expz00_14); 
BgL_arg1385z00_526 = 
CAR(BgL_auxz00_1141); } 
BgL_arg1372z00_521 = 
BGl_templatez00zz__expander_quotez00(
BINT(BgL_arg1384z00_525), BgL_arg1385z00_526); } 
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_list1374z00_522;
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_arg1376z00_523;
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_arg1380z00_524;
BgL_arg1380z00_524 = 
MAKE_PAIR(BgL_arg1372z00_521, BNIL); 
BgL_arg1376z00_523 = 
MAKE_PAIR(BgL_arg1371z00_520, BgL_arg1380z00_524); } 
BgL_list1374z00_522 = 
MAKE_PAIR(BgL_arg1370z00_519, BgL_arg1376z00_523); } 
BgL_arg1362z00_516 = BgL_list1374z00_522; } } 
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_list1364z00_517;
{ /* ./Eval/expdquote.scm 163 */
obj_t BgL_arg1366z00_518;
BgL_arg1366z00_518 = 
MAKE_PAIR(BgL_arg1362z00_516, BNIL); 
BgL_list1364z00_517 = 
MAKE_PAIR(BgL_arg1361z00_515, BgL_arg1366z00_518); } 
return BgL_list1364z00_517;} } }  else 
{ /* ./Eval/expdquote.scm 160 */
FAILURE(BGl_string2140z00zz__expander_quotez00,BGl_string2141z00zz__expander_quotez00,BgL_expz00_14);} }  else 
{ /* ./Eval/expdquote.scm 159 */
return 
BGl_templatez00zz__expander_quotez00(BgL_dz00_13, BgL_expz00_14);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__expander_quotez00()
{ AN_OBJECT;
{ /* ./Eval/expdquote.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)48291), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)57114), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)53290), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)13855), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)21694), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)6615), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)49269), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)29164), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)51785), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)35070), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)247), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)21875), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)104413), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)50132), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)63121), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)13988), "__expander_quote"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)45566), "__expander_quote"); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__expander_quote");} 
}

